curl --request GET \
--url https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName} \
--cookie JSESSIONID=import requests
url = "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body[
{}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Returns custom data array items
Returns an item from a custom data array associated to a user.
curl --request GET \
--url https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName} \
--cookie JSESSIONID=import requests
url = "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://ulm-stg.m1amdocs.io/customData/v1/user/{userId}/{propertyArrayName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body[
{}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
Path Parameters
The id of the user or "me".
The name of the custom data array.
Query Parameters
The filtering conditions: property names or property paths using filtering operators and values.
The supported operators are:
| Operator | Description |
|---|---|
| eq | Equal |
| ne | Not equal |
| gt | Greater than |
| ge | Greater than or equal |
| lt | Less than |
| le | Less than or equal |
| sw | Start with |
| ew | End with |
| co | Contains |
| and | Logical and |
| or | Logical or |
| not | Logical negation |
Precedence order for logical operators: not, and, or.
The results page number.
x >= 0The number of items to be returned.
1 <= x <= 100This contains a comma-separated list of expressions used to sort the items.
The expression MAY include the prefix "+" for ascending or "-" for descending. If "+" or "-" is not specified, ascending order is used.
NULL values are sorted as "less than" non-NULL values.
Items are sorted by the result values of the first expression, and then items with the same value for the first expression are sorted by the result value of the second expression, and so on. The sort order is the inherent order for the type of the property.
Response
OK

